/************************************************************************
 *   IRC - Internet Relay Chat, m_snotice.c
 *   Copyright (C) 2004 Jeremy Johnston
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *   $Id: example_module.c,v 1.10 2004/03/30 00:53:55 leeh Exp $
 */

/* List of ircd includes from ../include/ */
#include "stdinc.h"
#include "modules.h"
#include "hook.h"
#include "client.h"
#include "ircd.h"
#include "send.h"
#include "s_conf.h"
#include "sprintf_irc.h"
#include "s_serv.h"

static int mencap_snotice (struct Client *, struct Client *, int, const char **);

struct Message snotice_msgtab = {
    "SNOTICE",
    0,
    0,
    0,
    MFLG_SLOW,
    {
	mg_ignore,
	mg_ignore,
	mg_ignore,
	mg_ignore,
	{mencap_snotice, 2},
	mg_ignore
    }
};

mapi_clist_av1 snotice_clist[] = { &snotice_msgtab, NULL };

DECLARE_MODULE_AV1(snotice, NULL, NULL, snotice_clist, NULL, NULL, "$Revision: 1.0 $");

static int mencap_snotice (struct Client *client_p, struct Client *source_p, int parc, const char *parv[])
{
    sendto_realops_flags(UMODE_SERVNOTICE, L_ALL,
                         "SNOTICE from %s:  %s", source_p->name, parv[1]);
    return 0;
}

